clear all
close all

% computes the MLE by a BFGS method

%%% initialize random number generator

rand('state',sum(100*clock));
randn('state',sum(100*clock)); 

%%% loads the data

load data_smooth5

%%% save for // computation

ns=input(['Enter simulation number : ']);
nom=['MLE_' num2str(ns)]

%%% total population

S0FR=67e6;


%%% number of cases per day (based on smoothed data)
IncFR=[0 diff(DATA(1,:))];

%%% number of tests per day
NtFR=[0 diff(DATA(2,:))];


%%% parameter bounds
am=0; aM=1; % alpha
beta=1/10;
t0m=1; t0M=30; 
kappam=0; kappaM=1;
bl=[am  t0m kappam]; % lower bound
bm=[aM  t0M kappaM ]; % upper bound


    
options = optimset('Display','iter');

%%% function to be minimized

vrais_MV=@(X)-vrais_COVID([X(1) beta],X(2),X(3),NtFR,IncFR,S0FR);


cpt=1;
while cpt<1e4
    X0=bl+rand(size(bl)).*(bm-bl);% initial guess
     %try
    [xopt , fopt , exitflag] = fmincon(vrais_MV,X0,[],[],[],[],bl,bm,[],options);
    THETA(cpt,:)=xopt;
    vT(cpt)=-fopt;
    Ex(cpt)=exitflag;
    XX0(cpt,:)=X0;
    cpt=cpt+1;
     %end
    save(nom)
end
